> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List quote templates

> List quote templates for Sequence account



## OpenAPI

````yaml quote.latest.product.live GET /quote-templates
openapi: 3.0.0
info:
  title: ''
  description: ''
  version: 0.0.1
servers:
  - url: https://dev.seqhq.io
    description: E2E
  - url: https://dev.seqhq.io
    description: DEV
  - url: https://sandbox.sequencehq.com
    description: SANDBOX
  - url: https://eu.sequencehq.com
    description: PRODUCTION
security: []
tags:
  - name: Quotes
  - name: Quote Templates
paths:
  /quote-templates:
    servers: []
    parameters: []
    get:
      tags:
        - Quote Templates
      summary: List quote templates
      description: List quote templates for Sequence account
      operationId: getQuoteTemplates
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
        - name: after
          in: query
          description: >-
            Pagination offset. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination offset. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.next` or `pagination.previous` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: createdBy
          in: query
          description: Filter by template owner
          required: false
          schema:
            type: string
        - name: currency
          in: query
          description: Filter by quote template currency
          required: false
          schema:
            type: string
        - name: dealType
          in: query
          description: Filter by quote template deal type
          required: false
          schema:
            type: string
        - name: includeArchived
          in: query
          description: Include archived quote templates in results
          required: false
          schema:
            type: boolean
        - name: sequence-version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicQuoteTemplatesResponse'
                example:
                  items:
                    - id: 678ca125-8bc3-478f-9a96-6ba73605cf1e
                      createdBy: 4ffd439e-32e5-4046-bb40-3cb81f40e5da
                      title: My quote
                      currency: GBP
                      dealType: NEW_BUSINESS
                      expiryDays: 30
                      createdAt: '2022-06-28T16:47:00Z'
                      updatedAt: '2022-06-28T16:47:00Z'
                      archivedAt: '2022-06-28T16:47:00Z'
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                PublicQuoteTemplatesResponse:
                  summary: ''
                  value:
                    items:
                      - id: 678ca125-8bc3-478f-9a96-6ba73605cf1e
                        createdBy: 4ffd439e-32e5-4046-bb40-3cb81f40e5da
                        title: My quote
                        currency: GBP
                        dealType: NEW_BUSINESS
                        expiryDays: 30
                        createdAt: '2022-06-28T16:47:00Z'
                        updatedAt: '2022-06-28T16:47:00Z'
                        archivedAt: '2022-06-28T16:47:00Z'
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    PublicQuoteTemplatesResponse:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: 678ca125-8bc3-478f-9a96-6ba73605cf1e
            createdBy: 4ffd439e-32e5-4046-bb40-3cb81f40e5da
            title: My quote
            currency: GBP
            dealType: NEW_BUSINESS
            expiryDays: 30
            createdAt: '2022-06-28T16:47:00Z'
            updatedAt: '2022-06-28T16:47:00Z'
            archivedAt: '2022-06-28T16:47:00Z'
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: Quote templates
          example:
            - id: 678ca125-8bc3-478f-9a96-6ba73605cf1e
              createdBy: 4ffd439e-32e5-4046-bb40-3cb81f40e5da
              title: My quote
              currency: GBP
              dealType: NEW_BUSINESS
              expiryDays: 30
              createdAt: '2022-06-28T16:47:00Z'
              updatedAt: '2022-06-28T16:47:00Z'
              archivedAt: '2022-06-28T16:47:00Z'
          items:
            $ref: '#/components/schemas/PublicQuoteTemplate'
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    PublicQuoteTemplate:
      required:
        - createdAt
        - createdBy
        - id
        - updatedAt
      type: object
      example:
        id: 678ca125-8bc3-478f-9a96-6ba73605cf1e
        createdBy: 4ffd439e-32e5-4046-bb40-3cb81f40e5da
        title: My quote
        currency: GBP
        dealType: NEW_BUSINESS
        expiryDays: 30
        createdAt: '2022-06-28T16:47:00Z'
        updatedAt: '2022-06-28T16:47:00Z'
        archivedAt: '2022-06-28T16:47:00Z'
      properties:
        id:
          type: string
          description: Unique ID
          example: 678ca125-8bc3-478f-9a96-6ba73605cf1e
        createdBy:
          type: string
          description: The Sequence user who created this quote template
          example: 4ffd439e-32e5-4046-bb40-3cb81f40e5da
        title:
          type: string
          description: The quote title
          nullable: true
          example: My quote
        currency:
          $ref: '#/components/schemas/Currency'
          description: Quote currency
          nullable: true
        dealType:
          $ref: '#/components/schemas/QuoteDealType'
          description: Quote deal type
          nullable: true
        expiryDays:
          type: integer
          description: Number of days after publishing in which quote will expire
          format: int32
          nullable: true
          example: 30
        createdAt:
          type: string
          description: Creation timestamp. Formatted as an ISO 8601 timestamp.
          example: '2022-06-28T16:47:00Z'
        updatedAt:
          type: string
          description: >-
            Timestamp when quote was last updated. Formatted as an ISO 8601
            timestamp.
          example: '2022-06-28T16:47:00Z'
        archivedAt:
          type: string
          description: >-
            Date and time the quote was archived. Formatted as an ISO 8601
            timestamp.
          nullable: true
          example: '2022-06-28T16:47:00Z'
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          nullable: true
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          nullable: true
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          nullable: true
          example: 10
    Currency:
      type: string
      example: GBP
      enum:
        - AED
        - ARS
        - AUD
        - BRL
        - BGN
        - CAD
        - CHF
        - CLP
        - CNY
        - COP
        - CZK
        - DKK
        - EGP
        - EUR
        - GBP
        - HKD
        - ILS
        - INR
        - ISK
        - JPY
        - KRW
        - MXN
        - NOK
        - NZD
        - PLN
        - SAR
        - SEK
        - SGD
        - THB
        - USD
        - UYU
        - ZAR
    QuoteDealType:
      type: string
      example: NEW_BUSINESS
      enum:
        - NEW_BUSINESS
        - RENEWAL

````